Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000807Core InformModel worldpublic2011-11-20 16:242014-05-07 07:33
Reportermattweiner 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000807: starting inside a closed container condemns the player to eternal darkness
DescriptionEven after exiting, every turn the room will display as "Darkness." Using showme on the room reveals that it is indeed lighted.
Minimal Source Text To Reproduce
The house is a room.

The box is an enterable, opaque container.  It is closed and openable.  It is in the house.
   
Mary is a woman.  She is in the box.  The player is Mary.

Test me with "open box/exit/z/l/sing/l".
Additional InformationIf we replace "She is in the box" with "When play begins: Now Mary is in the box" then this bug does not happen.

See http://www.intfiction.org/forum/viewtopic.php?f=7&t=3714; [^] a solution to this bug has been posted in that thread by SJ_43, involving the I6 Position Player In Model World Rule.

This is probably related to 806, though distinct. (That bug causes a spurious report of darkness to print before the room description, on exiting a closed container. This one causes the room emerged into to register as dark. Put them together and you get two spurious reports of darkness on exiting the box.)
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001463)
mattweiner (reporter)
2011-11-20 20:03

Whoops, you need to attach "open box" to the beginning of the test script.

I think it's when there's a rule for auto-opening the box that you get two darkness reports, one from 806 and one from this bug.
(0002488)
graham (administrator)
2014-02-13 14:50

I've accepted SJ_43's fix, for which I'm grateful.

- Issue History
Date Modified Username Field Change
2011-11-20 16:24 mattweiner New Issue
2011-11-20 20:03 mattweiner Note Added: 0001463
2011-11-22 12:33 EmacsUser Status new => confirmed
2011-11-22 12:33 EmacsUser Steps to Reproduce Updated View Revisions
2014-02-13 14:50 graham Note Added: 0002488
2014-02-13 14:50 graham Status confirmed => resolved
2014-02-13 14:50 graham Resolution open => fixed
2014-02-13 14:50 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker